Bug 342701 - multiarch conflicts in NetworkManager-openvpn
multiarch conflicts in NetworkManager-openvpn
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Höger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 17:52 EDT by Bill Nottingham
Modified: 2014-03-16 23:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-12 20:39:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-19 17:52:02 EDT
NetworkManager-openvpn (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /etc/NetworkManager/VPN/nm-openvpn-service.name from install of NetworkManager-openvpn-0.3.2-7.fc6 conflicts with file from package NetworkManager-openvpn-0.3.2-7.fc6

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Tim Niemueller 2008-01-19 05:13:56 EST
Using the latest package from update-testing I can see that problem during "yum
--enablerepo=updates-testing install NetworkManager-openvpn".

It shouldn't be multilib in the first place, as the shared lib is just the
plugin for the VPN configuration application of NetworkManager. Is there a way
to turn this off?

I added an INSTALL="%{__install} -p" to the make install line as suggested in
the multilib tricks. I still cannot first install the x86_64 and then the i386
package. However, using the mentioned yum line installs *both* packages just fine.

Any suggestion what to look for to fix this?
Comment 2 Bug Zapper 2008-05-13 23:36:21 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Christopher Beland 2008-06-28 13:47:56 EDT
This bug caused problems for me when I updated from Fedora 8 to Fedora
9 on my x86_64 machine.  After the update (using a text-based network
install) I had the following RPMs installed:

NetworkManager-0.7.0-0.9.3.svn3623.fc9.i386
NetworkManager-0.7.0-0.9.3.svn3623.fc9.x86_64
NetworkManager-glib-0.7.0-0.9.3.svn3623.fc9.i386
NetworkManager-glib-0.7.0-0.9.3.svn3623.fc9.x86_64
NetworkManager-gnome-0.7.0-0.9.3.svn3623.fc9.x86_64
NetworkManager-openvpn-0.7.0-10.svn3632.fc9.x86_64
NetworkManager-openvpn-0.7.0-8.svn3302.fc8.i386
NetworkManager-vpnc-0.7.0-0.6.3.svn3109.fc8.i386
NetworkManager-vpnc-0.7.0-0.7.7.svn3627.fc9.x86_64

When I attempt a "yum update", I get the following errors (among other
unrelated errors):

Resolving Dependencies
--> Running transaction check
--> Processing Dependency: NetworkManager-glib = 1:0.7.0-0.9.3.svn3623.fc9 for
package: NetworkManager
---> Package NetworkManager-gnome.x86_64 1:0.7.0-0.9.4.svn3675.fc9 set to be updated
---> Package NetworkManager.x86_64 1:0.7.0-0.9.4.svn3675.fc9 set to be updated
---> Package NetworkManager-glib.i386 1:0.7.0-0.9.4.svn3675.fc9 set to be updated
---> Package NetworkManager-openvpn.x86_64 1:0.7.0-14.svn3632.fc9 set to be updated
--> Processing Dependency: NetworkManager-glib = 1:0.7.0-0.9.3.svn3623.fc9 for
package: NetworkManager
---> Package NetworkManager-glib.x86_64 1:0.7.0-0.9.4.svn3675.fc9 set to be updated
--> Processing Conflict: NetworkManager conflicts NetworkManager-vpnc <
1:0.7.0-0.7.7.svn3549
--> Processing Conflict: NetworkManager conflicts NetworkManager-openvpn <
1:0.7.0-9.svn3549
--> Finished Dependency Resolution
1:NetworkManager-0.7.0-0.9.3.svn3623.fc9.i386 from installed has depsolving problems
  --> Missing Dependency: NetworkManager-glib = 1:0.7.0-0.9.3.svn3623.fc9 is
needed by package 1:NetworkManager-0.7.0-0.9.3.svn3623.fc9.i386 (installed)
1:NetworkManager-0.7.0-0.9.3.svn3623.fc9.i386 from installed has depsolving problems
  --> Missing Dependency: NetworkManager-glib = 1:0.7.0-0.9.3.svn3623.fc9 is
needed by package 1:NetworkManager-0.7.0-0.9.3.svn3623.fc9.i386 (installed)
1:NetworkManager-0.7.0-0.9.4.svn3675.fc9.x86_64 from updates has depsolving problems
  --> NetworkManager conflicts with NetworkManager-vpnc
1:NetworkManager-0.7.0-0.9.4.svn3675.fc9.x86_64 from updates has depsolving problems
  --> NetworkManager conflicts with NetworkManager-openvpn
Error: Missing Dependency: NetworkManager-glib = 1:0.7.0-0.9.3.svn3623.fc9 is
needed by package 1:NetworkManager-0.7.0-0.9.3.svn3623.fc9.i386 (installed)
Error: NetworkManager conflicts with NetworkManager-vpnc
Error: NetworkManager conflicts with NetworkManager-openvpn


As a naive user, I would expect the system to figure out how to
resolve this conflict on its own.

There are problems with NetworkManager outside of
NetworkManager-openvpn.  Since I don't need VPN capabilities, I did:

rpm -e NetworkManager-vpnc-0.7.0-0.6.3.svn3109.fc8.i386
NetworkManager-openvpn-0.7.0-8.svn3302.fc8.i386
NetworkManager-openvpn-0.7.0-10.svn3632.fc9.x86_64
NetworkManager-vpnc-0.7.0-0.7.7.svn3627.fc9.x86_64


But I still get:

Resolving Dependencies
--> Running transaction check
--> Processing Dependency: NetworkManager-glib = 1:0.7.0-0.9.3.svn3623.fc9 for
package: NetworkManager
---> Package NetworkManager.x86_64 1:0.7.0-0.9.4.svn3675.fc9 set to be updated
---> Package NetworkManager-glib.x86_64 1:0.7.0-0.9.4.svn3675.fc9 set to be updated
--> Processing Dependency: NetworkManager-glib = 1:0.7.0-0.9.3.svn3623.fc9 for
package: NetworkManager
---> Package NetworkManager-glib.i386 1:0.7.0-0.9.4.svn3675.fc9 set to be updated
---> Package NetworkManager-gnome.x86_64 1:0.7.0-0.9.4.svn3675.fc9 set to be updated
--> Finished Dependency Resolution
1:NetworkManager-0.7.0-0.9.3.svn3623.fc9.i386 from installed has depsolving problems
  --> Missing Dependency: NetworkManager-glib = 1:0.7.0-0.9.3.svn3623.fc9 is
needed by package 1:NetworkManager-0.7.0-0.9.3.svn3623.fc9.i386 (installed)
1:NetworkManager-0.7.0-0.9.3.svn3623.fc9.i386 from installed has depsolving problems
  --> Missing Dependency: NetworkManager-glib = 1:0.7.0-0.9.3.svn3623.fc9 is
needed by package 1:NetworkManager-0.7.0-0.9.3.svn3623.fc9.i386 (installed)
Error: Missing Dependency: NetworkManager-glib = 1:0.7.0-0.9.3.svn3623.fc9 is
needed by package 1:NetworkManager-0.7.0-0.9.3.svn3623.fc9.i386 (installed)
Comment 4 Christopher Beland 2008-06-28 14:10:31 EDT
Doing:

rpm -e NetworkManager-glib-0.7.0-0.9.3.svn3623.fc9.i386
NetworkManager-0.7.0-0.9.3.svn3623.fc9.i386 evolution-2.22.2-2.fc9.i386

solved this problem for me.  (I have the x86_64 versions of all these
RPMs installed.)
Comment 5 Bug Zapper 2009-06-09 19:02:57 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Christopher Beland 2009-06-12 20:39:37 EDT
I am able to install NetworkManager-0.7.1-4.git20090414.fc11 and NetworkManager-openvpn-0.7.0.99-1.fc11 in both .i586 and .x86_64 versions (and dependencies) without any conflicts, as long as I don't install multiple debuginfo packages.  So I think this is fixed in Fedora 11.

Note You need to log in before you can comment on or make changes to this bug.